Apple has issued a third patch for a stubborn software problem that causes some of its high-end iMacs to freeze up.

The company said that not all iMacs need the update. It is specifically for 20- and 24-inch aluminium iMacs with the ATI Radeon HD 2600 Pro graphics running Mac OS X 10.4.10, with iMac Software Update 1.2.1 or Leopard with iMac Software Update 1.3.

Apple said that if you are not automatically presented with this update, your computer does not need it. If you manually download the update and attempt to install it on an unaffected computer, you will receive an error message.

Apple acknowledged in early October that an earlier software update caused the computers to freeze. According to users the iMac became unusable, requiring a hard reset in order to recover.

In early November, the company released a software update that was supposed to fix the problem, but it didn't work for all users.